## osxaudiosrc osxaudiosrc — Input from a sound card in OS X |

## Properties

gint | device | Read / Write

## Types and Values

struct | GstOsxAudioSrc

## Description

## Synopsis

### Element Information

plugin | osxaudio
author | Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Source/Audio

### Element Pads

## Functions

## Types and Values

### struct GstOsxAudioSrc

    struct GstOsxAudioSrc {
      GstAudioBaseSrc src;

      AudioDeviceID device_id;

      /* actual number of channels reported by input device */
      int deviceChannels;
    };

## Property Details

### The `“device”` property

      “device”                   gint

Device ID of input device.

Flags: Read / Write

Allowed values: >= 0

Default value: 0